/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.dialog {
  background-color: rgba(199, 199, 199, 0.85);
  height: 100%;
  left: 0;
  overflow: hidden;
  position: absolute;
  text-align: center;
  top: 0;
  width: 100%;
  
  .dialog-container {
    @extend .depth-26;
    background-color: $white;
    border-radius: $global-border-radius;
    height: auto;
    margin: 2rem auto;
    overflow: hidden;
    position: relative;
    width: 500px;

    .dialog-header {
      border-bottom-color: rgba($dark, 0.1);
      border-bottom-style: solid;
      border-bottom-width: 1px;
      font-family: 'FiraGO Medium Italic';
      margin: 0 20px;
      padding: 15px 0;
    }

    .dialog-title {
      color: #919191;
      font-size: 20px;
      margin: 4px 0;
      text-align: center;
    }

    .dialog-body {
      color: #5f5f5f;
      font-family: 'FiraGo Italic';
      padding: 30px 20px 20px;
    }
  }
  
  .dialog-footer {
    border-top: 1px solid rgba($dark, 0.1);
    display: flex;
    flex-wrap: wrap;
    
    .button,
    button {
      background: transparent;
      border-color: none;
      border-style: none;
      border-width: 0;
      flex-basis: 0;
      flex-grow: 1;
      max-width: 100%;
      min-height: 1px;
      padding: $padding-md-y $padding-base-x;
      position: relative;
    }
  }
}
